Bug 1430182 - Atomic host can not use alternate locales
Summary: Atomic host can not use alternate locales
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-server-atomic
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-08 01:34 UTC by wibrown@redhat.com
Modified: 2018-01-15 15:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-15 15:50:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description wibrown@redhat.com 2017-03-08 01:34:48 UTC
Description of problem:
Installing atomic host in Australia, post install during SSH I see:

Last failed login: Wed Mar  8 11:32:57 AEST 2017 from 172.24.200.144 on ssh:notty
There was 1 failed login attempt since the last successful login.
Last login: Wed Mar  8 11:29:00 2017
-bash: warning: setlocale: LC_ALL: cannot change locale (en_AU.UTF-8)
-bash: warning: setlocale: LC_ALL: cannot change locale (en_AU.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_AU.UTF-8)
-bash-4.2# 

Expected results: Locales outside of America work.

Comment 2 Jonathan Lebon 2017-05-03 16:52:55 UTC
We're currently only shipping the officially supported list of locales. Unfortunately, en_AU.UTF-8 is not one of them. For the full list, see https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/pdf/7.0_Release_Notes/Red_Hat_Enterprise_Linux-7-7.0_Release_Notes-en-US.pdf

See also: https://bugzilla.redhat.com/show_bug.cgi?id=1186757

Comment 3 Matthew Miller 2017-06-06 21:29:45 UTC
Is there a plan to allow the addition of other locales (possibly via system containers)?

Comment 4 wibrown@redhat.com 2017-06-06 23:42:21 UTC
For now I have solved this by building my own atomic images with en_AU.

Comment 5 Jonathan Lebon 2018-01-15 15:50:26 UTC
If you don't mind, let's discuss this upstream? Whatever decision we come up with in Fedora will likely be followed by RHEL AH. I commented on an issue we already had on this, though we might end up opening a new one:

https://pagure.io/atomic-wg/issue/282

Comment 6 Jonathan Lebon 2018-01-15 15:59:45 UTC
https://pagure.io/atomic-wg/issue/408


Note You need to log in before you can comment on or make changes to this bug.